libwps_internal.cpp File Reference documentation

Namespaces | Functions
libwps_internal.cpp File Reference
`#include <stdlib.h>`
`#include <time.h>`
`#include <cmath>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <iomanip>`
`#include <limits>`
`#include <sstream>`
`#include <string>`
`#include <librevenge/librevenge.h>`
`#include "libwps_internal.h"`

## Namespaces
namespace | libwps

## Functions
uint8_t | libwps::readU8 (librevenge::RVNGInputStream *input)
int8_t | libwps::read8 (librevenge::RVNGInputStream *input)
uint16_t | libwps::readU16 (librevenge::RVNGInputStream *input)
int16_t | libwps::read16 (librevenge::RVNGInputStream *input)
uint32_t | libwps::readU32 (librevenge::RVNGInputStream *input)
int32_t | libwps::read32 (librevenge::RVNGInputStream *input)
bool | libwps::readDouble4 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: mantisse 2.5 bytes, exponent 1.5 bytes
bool | libwps::readDouble8 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 8 bytes: mantisse 6.5 bytes, exponent 1.5 bytes
bool | libwps::readDouble10 (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 10 bytes: mantisse 8 bytes, exponent 2 bytes
bool | libwps::readDouble2Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 2 bytes: exponent 1.5 bytes, kind of mantisse 0.5 bytes
bool | libwps::readDouble4Inv (RVNGInputStreamPtr &input, double &res, bool &isNaN)
| read a double store with 4 bytes: exponent 3.5 bytes, mantisse 0.5 bytes
bool | libwps::readData (RVNGInputStreamPtr &input, unsigned long sz, librevenge::RVNGBinaryData &data)
| try to read sz bytes from input and store them in a librevenge::RVNGBinaryData
bool | libwps::readDataToEnd (RVNGInputStreamPtr &input, librevenge::RVNGBinaryData &data)
| try to read the last bytes from input and store them in a librevenge::RVNGBinaryData
std::string | libwps::numberingTypeToString (NumberingType type)
std::ostream & | operator<< (std::ostream &o, WPSColor const &c)
static bool | libwps::convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propVect)
std::ostream & | operator<< (std::ostream &o, WPSBorder::Style const &style)
std::ostream & | operator<< (std::ostream &o, WPSBorder const &border)
std::ostream & | operator<< (std::ostream &o, WPSEmbeddedObject const &pict)
void | libwps::appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string ( with correct encoding ).
std::string | libwps::getCellName (Vec2i const &cellPos, Vec2b const &relative=Vec2b(true, true))
| returns the cell name corresponding to a cell's position
bool | libwps::encodeLotusPassword (char const *password, uint16_t &key, std::vector< uint8_t > &keys, uint8_t const (&defValues)[16])
| returns the checksum and the keys (to encode a lotus file) given a password file

## Function Documentation

## ◆ operator<<() [1/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSBorder const & | border )

## ◆ operator<<() [2/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSBorder::Style const & | style )

## ◆ operator<<() [3/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSColor const & | c )

## ◆ operator<<() [4/4]

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSEmbeddedObject const & | pict )